<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Usuario {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>



<div class="">
    <div class="col-sm-12 titulo text-center">
        Usuarios
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>

<br>
<!--<button type="button" class="btn btn-outline-danger" (click)="modal.open(contenido)">Crear</button>
-->
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1">
        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre del Usuario"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Usuario</td>
                    <td>Email</td>
                    <td *ngIf="ocultar">Cedula</td>
                    <td *ngIf="ocultar">Telefono</td>
                    <td>Direccion</td>

                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of usuarios.slice((page-1) * pageSize,page
                    * pageSize) " ng-click="selectPerson(persona)">
                    <td>{{datos.nombre}} {{datos.apellido}}</td>
                    <td>{{ datos.email }}</td>
                    <td *ngIf="ocultar">{{ datos.cedula }}</td>
                    <td *ngIf="ocultar">{{ datos.telefono }}</td>
                    <td>{{ datos.direccion }}</td>



                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar" style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarUsuario(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombre+'
                                '+datos.apellido)"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="usuarios.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-ms-12 ">
        <div class="card">
            <div class="card-body">
                <form name="myForm">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-6 ">
                                <input type="text" name="nombre"
                                    [(ngModel)]="usuario.nombre"
                                    placeholder="Nombre" class="form-control"
                                    autofocus/>
                                <label class="form-label error" for="nombre"
                                    *ngIf="errorNombre">{{strNombre}}</label>
                            </div>
                            <div class="col-sm-6 ">
                                <input type="text" name="apellido"
                                    [(ngModel)]="usuario.apellido"
                                    placeholder="Apellido" class="form-control"
                                    autofocus/>
                                <label class="form-label error" for="apellido"
                                    *ngIf="errorApellido">{{strApellido}}</label>
                            </div>
                        </div>
                        <br>
                        <input type="email" name="email"
                            [(ngModel)]="usuario.email" placeholder="Email"
                            class="form-control" autofocus/>
                        <label class="form-label error" for="email"
                            *ngIf="errorEmail">{{strEmail}}</label>
                        <br *ngIf="ocultar">


                        <br>

                        <textarea type="text" name="direccion"
                            [(ngModel)]="usuario.direccion"
                            placeholder="Dirección" class="form-control"
                            rows="2" autofocus></textarea>
                        <label class="form-label error" for="direccion"
                            *ngIf="errorDireccion">{{strDireccion}}</label>
                        <br>
                        <div class="row">
                            <div class="col-sm-12 ">
                                <input type="password" name="contrasena"
                                    [(ngModel)]="usuario.contrasena"
                                    placeholder="Contraseña"
                                    class="form-control" autofocus/>
                                <label class="form-label error" for="contrasena"
                                    *ngIf="errorContrasena">{{strContrasena}}</label>
                            </div>
                        </div>




                        <div class="row">
                            <div class="col-sm-6 mb-3">
                                <label for="imagen" class="form-label">Imagen</label>
                                <input class="form-control form-control-sm"
                                    id="imagen"
                                    (change)="capturarImagen($event)"
                                    type="file" accept="image/png">
                            </div>
                            <div class="col-sm-6 ">

                                <img src="{{usuario.imagen}}" alt=""
                                    style="width: 100%;">
                            </div>
                        </div>
                        <div>

                        </div>
                        <div>

                        </div>

                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="limpiar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>
                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>

                </form>
            </div>
        </div>
    </div>
</div>